/**
 * Classes for parsing the National Library of Medincine (NLM)
 * <a href="http://www.nlm.nih.gov/mesh/">Medical Subject Headings (MeSH)</a>.
 *
 * <b>MeSH Home Page</b>
 * 
 * <p>Complete information on MeSH can be found on the
 *
 * <ul><li>NLM: <a hef="http://www.nlm.nih.gov/mesh/">MeSH Home Page</a></li></ul>
 *
 *
 * <b>MeSH Data Element Descriptions</b>
 *
 * A description of the XML elements in MeSH headings is at
 *
 * <ul><li>NLM: <a href="http://www.nlm.nih.gov/mesh/xml_data_elements.html">XML MeSH Data Elements Page</a></li></ul>
 *
 *
 * <b>Downloading MeSH XML</b>
 *
 * <p>MeSH may be downloaded in full after filling out a memorandum of
 * understanding from:
 * 
 * <ul><li>NLM: <a href="http://www.nlm.nih.gov/mesh/filelist.html">MeSH Download Page</a></li></ul>
 *
 * In order to run this parser, you need to get MeSH in XML format.
 * The parser may be run directly from the gzipped or zipped format.
 * The DTD is included in this package and compiled into the jar, and
 * thus does not need to be downloaded.
 *
 * @since LingMed1.3
 */
package com.aliasi.lingmed.mesh;